Bug 754159 - perl-Devel-CallChecker checks for build-time Perl version
Summary: perl-Devel-CallChecker checks for build-time Perl version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Devel-CallChecker
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 720339
TreeView+ depends on / blocked
 
Reported: 2011-11-15 14:56 UTC by Petr Pisar
Modified: 2011-11-25 01:59 UTC (History)
4 users (show)

Fixed In Version: perl-Devel-CallChecker-0.003-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 01:59:17 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Pisar 2011-11-15 14:56:20 UTC
Using this module on Perl 5.14.2 results in:

> callchecker0.h:7:3: error: #error this callchecker0.h is for Perl 5.14.1 only

This is because this package stores and compare Perl version at build-time. This is intentional behavior and this package must be recompiled for Perl 5.14.2

F17--16 affected.

Comment 1 Petr Pisar 2011-11-15 15:05:30 UTC
To automate this dependency, perl should Provide: PERL_EXACT() symbol and the few packages like this one could depend on ti then. In contrast to PERL_COMPAT(), PERL_EXACT() would exist in one instance only.

Comment 2 Fedora Update System 2011-11-15 15:07:43 UTC
perl-Devel-CallChecker-0.003-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Devel-CallChecker-0.003-2.fc16

Comment 3 Fedora Update System 2011-11-16 00:32:22 UTC
Package perl-Devel-CallChecker-0.003-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Devel-CallChecker-0.003-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15984
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-11-25 01:59:17 UTC
perl-Devel-CallChecker-0.003-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.